/**
 * Module		: board.h
 * Author		: Christopher M. Donnelly
 * Email		: cmdonn@wpi.edu
 * Course		: Embedded Game Design MQP
 *
 * Description	: acts as a board for gameplay
 *
 * Date			: 3/14/2008
 *
 * History:
 * Revision		Date			Changed By
 * --------		-----------		----------
 * 00.01		3/14/2008		cmdonn
 * 00.02		3/21/2008		cmdonn
 *
 *
 *
 *
 **/
#ifndef _BOARD_H_
#define _BOARD_H_


#include "constants.h"
#include "cobli.h"
#include "globals.h"
#include <stdlib.h>
#include <stdio.h>

class board
{
  private:
	sphere ***game;
	int score;
	cobli activePiece;
	int x_axis;
	int y_axis;
	bool overlap();
	void removeCobli();
	void setCobli();
	void printboard();

  public:
    board();
    board(int x, int y);
    ~board();
	sphere*** getboard();
	void scoreBoard();
	void newPiece();
	int getScore();
	int get_x();
	int get_y();
	bool drop();
	void rotateLeft();
	void rotateRight();
	void shiftLeft();
	void shiftRight();
	int getCobliPosition();

};

#endif

