#ifndef CAMERA_H
#define CAMERA_H

#include "point.h"
#include "vector.h"


class camera
{
private:
  Point3 eye, look, up;
  Vector3 u, v, n;
  GLfloat viewAngle, aspect, nearDist, farDist;	// view volume shape
  void setModelViewMatrix();	// tell OpenGL where the camera is

public:
  camera();
  void set(Point3 eye, Point3 look, Vector3 up);
  void roll(GLfixed angle);
  void pitch(GLfixed angle);
  void yaw(GLfixed angle);
  void slide(GLfixed delU, GLfixed delV, GLfixed delN);
  void setShape(GLfixed vAng, GLfixed asp, GLfixed ndearD, GLfixed farD);
  void getShape(GLfixed &vAng, GLfixed *asp, GLfixed &nearD, GLfixed &farD);
};

#endif
