/**
 * Module		: cobli.h
 * Author		: Christopher M. Donnelly
 * Email		: cmdonn@wpi.edu
 * Course		: Embedded Game Design MQP
 *
 * Description	: The structure for pieces dropping in tube drop
 *
 * Date			: 3/12/2008
 *
 * History:
 * Revision		Date			Changed By
 * --------		-----------		----------
 * 00.01		3/21/2008		cmdonn
 * 00.02		3/24/2008		cmdonn
 *
 *
 *
 *
 **/
#ifndef _COBLI_H_
#define _COBLI__H_

#include "sphere.h"
#include "constants.h"
#include "globals.h"
#include <stdlib.h>


struct cobli
{
	sphere* piece[5][5] ;
	char location_x;
	char location_y;
	cobli();
	void addSphere(sphere* a, int x, int y);
	void generateNewCobli();
	void rotateRight();
	void rotateLeft ();
	void rotate180 ();
	char get_location();

};

#endif
