/**
 * Module		: sphere.cpp
 * Author		: Christopher M. Donnelly
 * Email		: cmdonn@wpi.edu
 * Course		: Embedded Game Design MQP
 *
 * Description	: The structure for a sphere in the tube drop game
 *
 * Date			: 3/21/2008
 *
 * History:
 * Revision		Date			Changed By
 * --------		-----------		----------
 * 00.01		3/21/2008		cmdonn
 *
 *
 *
 *
 *
 **/

#include "constants.h"
#include "sphere.h"


/**
 * generates a sphere to be used later
 */
	sphere::sphere()
	{
		color = NONE_;
		type = REGULAR_;
		score = 0;
	}

/**
 * creates a non-default sphere to be used later
 */
	sphere::sphere(char a, char b, int c)
	{
		color = a;
		type = b;
		score = c;
	}

	sphere::~sphere()
	{
	}
