/**
 * Module		: sphere.h
 * Author		: Christopher M. Donnelly
 * Email		: cmdonn@wpi.edu
 * Course		: Embedded Game Design MQP
 *
 * Description	: The structure for a sphere in the tube drop game
 *
 * Date			: 3/12/2008
 *
 * History:
 * Revision		Date			Changed By
 * --------		-----------		----------
 * 00.01		3/12/2008		cmdonn
 *
 *
 *
 *
 *
 **/
#ifndef _COBLI_SPHERE_H_
#define _COBLI_SPHERE_H_

#include "constants.h"

class sphere
{
	public:

	char color; //color of sphere (RED_, GREEN_, BLUE_, etc.)
	char type;  // type is either (REGULAR_, or MULTIPLIER_)
	int score; //  number of points scored if REGULAR_, otherwise it's the multiplier added

	sphere();
	sphere(char a, char b, int c);
	~sphere();
};

#endif
