
#include "vector.h"


Vector3 Vector3 :: cross(Vector3 b) //return this cross b
{
        Vector3 c(y*b.z - z*b.y, z*b.x - x*b.z, x*b.y - y*b.x);
        return c;
}

GLfixed Vector3 :: dot(Vector3 b) // return this dotted with b
{
	return x * b.x + y * b.y + z * b.z;
}

void Vector3 :: normalize() //adjust this vector to unit length
{
        GLfixed sizeSq = x * x + y * y + z * z;
        if(sizeSq < 0.0000001)
        {
			MessageBox(NULL,
						L"normalize() sees vector (0,0,0)!",
						L"OpenGL ES ",
						MB_ICONEXCLAMATION | MB_OK);
			return; // does nothing to zero vectors;
        }
        GLfixed scaleFactor = 1.0/(GLfixed)sqrt(sizeSq);
        x *= scaleFactor; y *= scaleFactor; z *= scaleFactor;
}
