
#ifndef VECTOR_H
#define VECTOR_H

#include <GLES/gl.h>
#include <GLES/egl.h>
#include "point.h"

class Vector3
{ 
public: 
	GLfixed x,y,z;
	void set(GLfixed dx, GLfixed dy, GLfixed dz){ x = dx; y = dy; z = dz;} 
	void set(const Vector3& v){ x = v.x; y = v.y; z = v.z;}
	void flip(){x = -x; y = -y; z = -z;} // reverse this vector
	void setDiff(Point3& a, Point3& b)//set to difference a - b
	{ x = a.x - b.x; y = a.y - b.y; z = a.z - b.z;}
	void normalize();//adjust this vector to unit length
	Vector3(GLfixed xx, GLfixed yy, GLfixed zz){x = xx; y = yy; z = zz;}
	Vector3(const Vector3& v){x = v.x; y = v.y; z = v.z;}
	Vector3(){x = y = z = 0;} //default constructor
	Vector3 cross(Vector3 b); //return this cross b
	GLfixed dot(Vector3 b); // return this dotted with b
};

#endif
